<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxml="urn:schemas-microsoft-com:xslt" version="1.0">
	<xsl:import href="../../../appl/shared/default.xsl"/>
	<xsl:variable name="Rev">
		<!-- Revision van deze cust.xsl -->
		<xsl:value-of select="substring(translate('$Revision$', '$ ', ''), 10)"/>
	</xsl:variable>
	<xsl:variable name="smallcase" select="'abcdefghijklmnopqrstuvwxyz'"/>
	<xsl:variable name="uppercase" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
	<xsl:decimal-format name="euro" decimal-separator="," grouping-separator="."/>


	<xsl:template match="rapport" mode="default">
		<html>

			<style>td { font-size: 6pt;
		vertical-align:top;
		padding-left: 2px;
		padding-right: 2px;}
		table.border {
    border:1px solid #000;
	border-spacing: 0px;
    border-collapse:collapse;
        
}
        tbody.avoid {
		page-break-inside: avoid;
		}

		th { font-size: 6pt; border-color: #000}
		td.cluster { font-size: 10pt; font-weight:bold; color: rgb(0,112,192);
		vertical-align:middle;}</style>

			<xsl:choose>

				<xsl:when test="translate(@view, $smallcase, $uppercase)='ASDL_V_RAP_WERKPROGRAMMA'">
					<body style="margin-right:30px">
						<table width="100%" border="0">


							<xsl:if test=" count(rapport_data/data_row) = 0">
								<tr>
									<td>
										<center>
											<b>Geen gegevens gevonden</b>
										</center>
									</td>
								</tr>
							</xsl:if>

							<xsl:variable name="sorted">
								<xsl:for-each select="rapport_data/data_row">
									<xsl:sort select="ALG_DISTRICT_OMSCHRIJVING"/>
									<xsl:sort select="ALG_LOCATIE_CODE"/>
									<xsl:sort select="INS_SRTDEEL_CODE"/>
									<xsl:copy-of select="."/>
								</xsl:for-each>
								<data_row>
								  <ALG_LOCATIE_CODE>END</ALG_LOCATIE_CODE>
								</data_row>
							</xsl:variable>

							<xsl:for-each select="msxml:node-set($sorted)/data_row">

								<xsl:variable name="prev_loc">
									<xsl:choose>
										<xsl:when test="position()=1">Quqelequ</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="preceding-sibling::data_row[1]/ALG_LOCATIE_CODE"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>

								<xsl:variable name="prev_afw">
									<xsl:choose>
										<xsl:when test="position()=1"></xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="preceding-sibling::data_row[1]/AFWIJKING"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>

								<xsl:variable name="rowspan">
									<xsl:choose>
										<xsl:when test="INS_SRTDEEL_CODE = 'A01'">2</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'G01'">2</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'K10'">3</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'K01'">3</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'R20'">9</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'S01'">9</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T01'">16</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T02'">16</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T03'">12</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T04'">9</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T05'">4</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T07'">7</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T10'">10</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T32'">7</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T35'">6</xsl:when>
										<xsl:when test="INS_SRTDEEL_CODE = 'T36'">6</xsl:when>
									</xsl:choose>
								</xsl:variable>
								<xsl:if test="$prev_loc != ALG_LOCATIE_CODE">

									<xsl:if test="position() != 1">
										
										<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
										<xsl:if test="$prev_afw != ''">
										<xsl:text disable-output-escaping="yes">&lt;table border="0"&gt;</xsl:text>

										<tr>
										<td class="cluster" style="text-align: left">Afwijking(en)</td>
										<td style="vertical-align:middle;">
										<xsl:call-template name="linebreaks">
										<xsl:with-param name="string" select="$prev_afw"/>
									</xsl:call-template>
										</td>
										</tr>
										
										<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
										</xsl:if>
										<div style="page-break-before:always">&#xA0;</div>
										<xsl:text disable-output-escaping="yes">&lt;table width="100%" border="0"&gt;</xsl:text>
									    
									</xsl:if>
                                    <xsl:if test="ALG_LOCATIE_CODE != 'END'">
									<tr>
										<td class="cluster" style="text-align: left">Clusternr: <xsl:value-of select="ALG_LOCATIE_CODE"/><br/>
											<xsl:value-of select="ALG_LOCATIE_OMSCHRIJVING"/><br/>
											Uitvoeringsmoment: <xsl:value-of select="UITVOERING"/>
										</td>
										<td>
											<img src="../../cust/asdl/xsl/asitologo.png"/>
										</td>
										<td>
											<img src="../../cust/asdl/xsl/woonstede.jpg"/>
										</td>
									</tr>
									<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
									<br/>
									<br/>
									<xsl:text disable-output-escaping="yes">&lt;table class="border" width="100%" border="1"&gt;</xsl:text>
									<thead>
										<tr>
											<th style="text-align: left">Taak</th>
											<th style="text-align: left">Frequentie/jaar</th>
											<th style="text-align: left">Ruimte</th>
											<th style="text-align: center" colspan="2">Onderdeel/Handeling</th>
										</tr>
									</thead>
									</xsl:if>
								</xsl:if>
								<xsl:if test="ALG_LOCATIE_CODE != 'END'">
								<tbody>

									<tr>


										<xsl:element name="td">
											<xsl:attribute name="rowspan">
												<xsl:value-of select="$rowspan"/>
											</xsl:attribute>
											<xsl:value-of select="INS_SRTDEEL_CODE"/>
										</xsl:element>
										<xsl:element name="td">
											<xsl:attribute name="rowspan">
												<xsl:value-of select="$rowspan"/>
											</xsl:attribute>
											<xsl:value-of select="FREQUENTIE"/>
										</xsl:element>
										<xsl:element name="td">
											<xsl:attribute name="rowspan">
												<xsl:value-of select="$rowspan"/>
											</xsl:attribute>
											<xsl:value-of select="INS_SRTCONTROLE_OMSCHRIJVING"/>
										</xsl:element>
										<xsl:choose>
											<xsl:when test="INS_SRTDEEL_CODE = 'G01'">
												<tr>
													<td>wassen en kozijn afnemen</td>
													<td>wassen en afnemen</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'A01'">
												<tr>
													<td></td>
													<td></td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'K10' or INS_SRTDEEL_CODE = 'K01'">
												<tr>
													<td>papier/afvalbakken</td>
													<td>zak wisselen, buitenzijde afnemen, deksel reinigen, ontvlekken</td>
												</tr>
												<tr>
													<td>deuren, separatieglas, spiegels</td>
													<td>vingertasten verwijderen en ontvlekken</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'R20'">
												<tr>
													<td>papier/afvalbakken</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>deuren</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>vensterbanken</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>keukenblok	horizontale - en verticale  vlakken</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>schakelaars, radiatoren, randen richels &lt; 2.10m</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>randen, richels &gt; 2.10 m</td>
													<td>afnemen(1j)</td>
												</tr>
												<tr>
													<td>radiatoren</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>spinrag</td>
													<td>verwijderen</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'S01'">
												<tr>
													<td>afvalbakken</td>
													<td>reinigen, zak verwisselen</td>
												</tr>
												<tr>
													<td>toiletten, urinoirs, doorspoelinstallatie, wastafel</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>toiletborstelhouders, deuren</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>wanden, spiegel</td>
													<td>reinigen en streepvrij drogen</td>
												</tr>
												<tr>
													<td>chroom, metaal</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>schakelaars, radiatoren, randen richels &lt; 2.10m</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>randen, richels &gt; 2.10 m</td>
													<td>afnemen(1j)</td>
												</tr>
												<tr>
													<td>luchtroosters</td>
													<td>afnemen (1j)</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T01'">
												<tr>
													<td>afvalbak</td>
													<td>zak wisselen, buitenzijde afnemen, deksel reinigen, ontvlekken</td>
												</tr>
												<tr>
													<td>deuren/omlijstingen/ bi+bu</td>
													<td>vingertasten verwijderen, ontvlekken, stof afnemen</td>
												</tr>
												<tr>
													<td>afneembare wanden</td>
													<td>vingertasten verwijderen, ontvlekken, stof afnemen</td>
												</tr>
												<tr>
													<td>vensterbanken</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>radiatoren</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>schakelaars, wcd</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>plinten, randen, richels &lt;2.10m</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>glas, omlijstingen</td>
													<td>reinigen en streepvrij drogen</td>
												</tr>
												<tr>
													<td>spiegels</td>
													<td>reinigen en streepvrij drogen</td>
												</tr>
												<tr>
													<td>brievenbussen</td>
													<td>geheel reinigen</td>
												</tr>
												<tr>
													<td>belborden</td>
													<td>geheel reinigen</td>
												</tr>
												<tr>
													<td>mededelingsborden</td>
													<td>geheel reinigen</td>
												</tr>
												<tr>
													<td>spinrag</td>
													<td>verwijderen</td>
												</tr>
												<tr>
													<td>plinten, randen, richels &gt;2.10m</td>
													<td>afnemen (4j)</td>
												</tr>
												<tr>
													<td>luchtroosters</td>
													<td>reinigen (4j)</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T02'">
												<tr>
													<td width="50%">afvalbak</td>
													<td width="50%">zak wisselen, buitenzijde afnemen, deksel reinigen, ontvlekken</td>
												</tr>
												<tr>
													<td>deuren/omlijstingen/ bi+bu</td>
													<td>vingertasten verwijderen, ontvlekken, stof afnemen</td>
												</tr>
												<tr>
													<td>afneembare wanden</td>
													<td>vingertasten verwijderen, ontvlekken, stof afnemen</td>
												</tr>
												<tr>
													<td>vensterbanken</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>radiatoren</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>schakelaars, wcd</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>plinten, randen, richels &lt;2.10m</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>glas, omlijstingen</td>
													<td>reinigen en streepvrij drogen</td>
												</tr>
												<tr>
													<td>spiegels</td>
													<td>reinigen en streepvrij drogen</td>
												</tr>
												<tr>
													<td>brievenbussen</td>
													<td>geheel reinigen</td>
												</tr>
												<tr>
													<td>belborden</td>
													<td>geheel reinigen</td>
												</tr>
												<tr>
													<td>mededelingsborden</td>
													<td>geheel reinigen</td>
												</tr>
												<tr>
													<td>spinrag</td>
													<td>verwijderen</td>
												</tr>
												<tr>
													<td>plinten, randen, richels >2.10m</td>
													<td>afnemen (12j)</td>
												</tr>
												<tr>
													<td>luchtroosters</td>
													<td>reinigen (12j)</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T03'">
												<tr>
													<td width="50%">deuren/omlijstingen/ bi+bu</td>
													<td width="50%">vingertasten verwijderen, ontvlekken, stof afnemen</td>
												</tr>
												<tr>
													<td>afneembare wanden</td>
													<td>vingertasten verwijderen, ontvlekken, stof afnemen</td>
												</tr>
												<tr>
													<td>vensterbanken</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>schakelaars, wcd</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>plinten, randen, richels &lt;2.10m</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>trapleuningen, spijlen, afneembare wanden</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>glas, omlijstingen</td>
													<td>reinigen en streepvrij drogen</td>
												</tr>
												<tr>
													<td>spiegels</td>
													<td>reinigen en streepvrij drogen</td>
												</tr>
												<tr>
													<td>radiatoren</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>plinten, randen, richels &gt;2.10m</td>
													<td>afnemen (4j)</td>
												</tr>
												<tr>
													<td>luchtroosters</td>
													<td>reinigen (4j)</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T04'">
												<tr>
													<td width="50%">schakelaars, contactdozen, vensterbanken</td>
													<td width="50%">afnemen</td>
												</tr>
												<tr>
													<td>glas, omlijsting, spiegels</td>
													<td>reinigen, streepvrij drogen</td>
												</tr>
												<tr>
													<td>plinten, randen, richels &lt;2.10m</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>trapleuningen, spijlen, afneembare wanden</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>spinrag</td>
													<td>verwijderen</td>
												</tr>
												<tr>
													<td>radiatoren</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>luchtroosters</td>
													<td>reinigen (4j)</td>
												</tr>
												<tr>
													<td>plinten, randen, richels &gt;2.10m</td>
													<td>reinigen (4j)</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T05'">
												<tr>
													<td width="50%">bellenbord, briefkasten, deuren, omlijstingen</td>
													<td width="50%">reinigen</td>
												</tr>
												<tr>
													<td>vloer</td>
													<td>vegen en zwerfvuil verwijderen</td>
												</tr>
												<tr>
													<td>onderzijde luifels +armaturen</td>
													<td>reinigen (2j)</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T07'">
												<tr>
													<td width="50%">liftwanden</td>
													<td width="50%">afnemen en ontvlekken</td>
												</tr>
												<tr>
													<td>deuren, omlijstingen, bedieningspaneel, stoel</td>
													<td>vingertasten verwijderen, ontvlekken, stof afnemen</td>
												</tr>
												<tr>
													<td>rvs, spiegels</td>
													<td>ontvlekken</td>
												</tr>
												<tr>
													<td>luchtroosters</td>
													<td>reinigen (1j)</td>
												</tr>
												<tr>
													<td>randen richels</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>spinrag</td>
													<td>verwijderen</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T10'">
												<tr>
													<td>glas, omlijstingen</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>randen, richels &lt;2.10m</td>
													<td>afnemen</td>
												</tr>
												<tr>
													<td>deuren bi +bu en omlijstingen</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>slagboom</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>hekwerken</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>spinrag</td>
													<td>verwijderen</td>
												</tr>
												<tr>
													<td>vloeren</td>
													<td>vegen ( zie schoonmaakrooster complex)</td>
												</tr>
												<tr>
													<td>vloeren</td>
													<td>schrobben (zie schoonmaakrooster complex)</td>
												</tr>
												<tr>
													<td>plinten, randen, richels &gt;2.10m</td>
													<td>reinigen (1j)</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T32'">
												<tr>
													<td width="50%">glas, omlijstingen</td>
													<td width="50%">reinigen en streepvrij drogen</td>
												</tr>
												<tr>
													<td>randen, richels &lt;2.10m</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>deuren bi +bu en omlijstingen</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>afneembare wanden</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>spinrag</td>
													<td>verwijderen</td>
												</tr>
												<tr>
													<td>plinten, randen, richels >2.10m</td>
													<td>afnemen (1j)</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T35'">
												<tr>
													<td width="50%">randen, richels &lt;2.10m</td>
													<td width="50%">afnemen</td>
												</tr>
												<tr>
													<td>afneembare wanden</td>
													<td>vingertasten verwijderen, ontvlekken</td>
												</tr>
												<tr>
													<td>deuren bi +bu en omlijstingen</td>
													<td>vingertasten verwijderen, ontvlekken</td>
												</tr>
												<tr>
													<td>spinrag</td>
													<td>verwijderen</td>
												</tr>
												<tr>
													<td>plinten, randen, richels &gt;2.10m</td>
													<td>afnemen (1j)</td>
												</tr>
											</xsl:when>
											<xsl:when test="INS_SRTDEEL_CODE = 'T36'">
												<tr>
													<td>goten</td>
													<td>leeg maken</td>
												</tr>
												<tr>
													<td>putjes</td>
													<td>leeg maken</td>
												</tr>
												<tr>
													<td>balustrade binnenzijde</td>
													<td>reinigen</td>
												</tr>
												<tr>
													<td>deuren bi + bu openbaar</td>
													<td>vingertasten verwijderen, ontvlekken</td>
												</tr>
												<tr>
													<td>spinrag</td>
													<td>verwijderen</td>
												</tr>
											</xsl:when>
										</xsl:choose>
									</tr>
								</tbody>
								</xsl:if>
							</xsl:for-each>
						</table>
					</body>
				</xsl:when>

				<xsl:otherwise>
					<xsl:comment>================================ RAPPORT ==============================</xsl:comment>
					<xsl:comment>FACILITOR default XSL template for rapport</xsl:comment>
					<xsl:call-template name="htmlhead"/>
					<body>
						<table>
							<xsl:for-each select="rapport_data/data_row">
								<xsl:sort select="."/>
								<tr>
									<td>
										<xsl:value-of select="current()"/>
									</td>
								</tr>
							</xsl:for-each>
						</table>
					</body>
				</xsl:otherwise>
			</xsl:choose>
		</html>
	</xsl:template>
</xsl:stylesheet>
<!-- Stylesheet edited using Stylus Studio - (c) 2004-2007. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2007. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2007. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2007. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2007. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2007. Progress Software Corporation. All rights reserved. -->